ApplicationMapping (Struts Apps - Faces Example 1 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.webapp.example
Class ApplicationMapping

    java.lang.Object
      org.apache.struts.config.BaseConfig
          org.apache.struts.config.ActionConfig
              org.apache.struts.action.ActionMapping
                  org.apache.struts.webapp.example.ApplicationMapping

All Implemented Interfaces:
  Serializable

    public final class ApplicationMapping

extends ActionMapping

Implementation of ActionMapping for the Struts example application. It defines the following custom properties:

- failure - The context-relative URI to which this request should be forwarded if a validation error occurs on the input information (typically goes back to the input form).
- success - The context-relative URI to which this request should be forwarded if the requested action is successfully completed.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.ActionConfig
`actionId, attribute, cancellable, catalog, command, exceptions, extensionProcessed, forward, forwards, include, inherit, input, moduleConfig, multipartClass, name, parameter, path, prefix, roleNames, roles, scope, suffix, type, unknown, validate`

Fields inherited from class org.apache.struts.config.BaseConfig
`configured`

Constructor Summary
`ApplicationMapping()`

Method Summary
`String` | `getFailure()` Return the failure URI for this mapping.
`String` | `getSuccess()` Return the success URI for this mapping.
`void` | `setFailure(String failure)` Set the failure URI for this mapping.
`void` | `setSuccess(String success)` Set the success URI for this mapping.

Methods inherited from class org.apache.struts.action.ActionMapping
`findForward, findForwards, getInputForward`

Methods inherited from class org.apache.struts.config.ActionConfig
`addExceptionConfig, addForwardConfig, checkCircularInheritance, findException, findExceptionConfig, findExceptionConfigs, findForwardConfig, findForwardConfigs, freeze, getActionId, getAttribute, getCancellable, getCatalog, getCommand, getExtends, getForward, getInclude, getInput, getModuleConfig, getMultipartClass, getName, getParameter, getPath, getPrefix, getRoleNames, getRoles, getScope, getSuffix, getType, getUnknown, getValidate, inheritExceptionHandlers, inheritForwards, inheritFrom, isExtensionProcessed, processExtends, removeExceptionConfig, removeForwardConfig, setActionId, setAttribute, setCancellable, setCatalog, setCommand, setExtends, setForward, setInclude, setInput, setModuleConfig, setMultipartClass, setName, setParameter, setPath, setPrefix, setRoles, setScope, setSuffix, setType, setUnknown, setValidate, toString`

Methods inherited from class org.apache.struts.config.BaseConfig
`copyProperties, getProperties, getProperty, inheritProperties, setProperties, setProperty, throwIfConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationMapping

    public ApplicationMapping()

Method Detail

### getFailure

    public String getFailure()

  Return the failure URI for this mapping.

### setFailure

    public void setFailure(String failure)

  Set the failure URI for this mapping.

  Parameters:
    `failure` - The failure URI for this mapping

### getSuccess

    public String getSuccess()

  Return the success URI for this mapping.

### setSuccess

    public void setSuccess(String success)

  Set the success URI for this mapping.

  Parameters:
    `success` - The success URI for this mapping

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.